{% extends 'base.html' %}
{% block title %}
    ListOfBlocks
{% endblock %}

{% block content %}
    <table class="table">

    <thead>
    <tr>
        <th style=" width: 10%">Numar block</th>
        <th style=" width: 10%">nr. etaje</th>
        <th style=" width: 10%">nr. apartamente</th>
        <th style=" width: 15%">are/nu are lift</th>
        <th style=" width: 15%">nume asociatie</th>
        <th style=" width: 15%">nume asociatie</th>
        <th style=" width: 25%">Actiuni</th>
    </tr>
    </thead>
    <tbody>
    {% for block in all_blocks %}
        {% if block.association.id == pk %}

    <tr>
        <td>{{block.block_number}}</td>
        <td>{{block.number_of_floors}}</td>
        <td>{{block.number_of_apartments}}</td>
        <td>{{block.is_elevator}}</td>
        <td>{{block.association}}</td>
        <td><a href="{% url 'apartment_list' block.id %}" class="btn btn-success">Apartments</a></td>
        <td>
            <a href="{% url 'edit_block' block.block_number %}" class="btn btn-primary">Edit</a>
            <a href="{% url 'block_details' block.block_number %}" class="btn btn-primary">Details</a>
            <a href="{% url 'delete_block' block.block_number %}" class="btn btn-danger">Delete</a>
        </td>

    </tr>
        {% endif %}
    {% endfor %}
    </tbody>
    </table>
    <a href="{% url 'add_block' %}?id={{ pk }}" class="btn btn-success">Adauga</a>
{% endblock %}